<?php
namespace Concrete\Package\OunziwNemqr;

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Support\Facade\Application;

class Controller extends Package {
    protected $pkgHandle = 'ounziw_nemqr';
    protected $appVersionRequired = '8.3.2';
    protected $pkgVersion = '0.9.3';

    public function getPackageName()
    {
        return t('NEM QR Code');
    }

    public function getPackageDescription()
    {
        return t('Creates NEM QR Code');
    }

    public function install()
    {
        $pkg = parent::install();
        BlockType::installBlockType('ounziw_nemqr', $pkg);

    }
    public function validate_install()
    {
        $QrCodePkg = Package::getByHandle('qr_code');
        if (!is_object($QrCodePkg)) {
            $err = Application::getFacadeApplication()->make('error');
            $err->add(t('Installation of "NEM QR Code" requires a "Remo QR Code" addon.'));
            return $err;
        }
    }
}